Name:           ocaml-lablgtk2
Version:        2.16.0
Release:        %mkrel 7
Summary:        OCaml interface to the GIMP Tool Kit Version 2
Source0:        http://forge.ocamlcore.org/frs/download.php/979/lablgtk-%{version}.tar.gz
Source1:        lablgtk-2.16.0-doc-html.tar.lzma
URL:            http://lablgtk.forge.ocamlcore.org/
License:        LGPL with static compilation exception
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  gtk+2-devel
BuildRequires:  librsvg-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  gtkspell-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgtksourceview-1.0-devel
BuildRequires:  libgtksourceview-2.0-devel
BuildRequires:  gtkglarea2-devel
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  mesaglu-devel
Requires:       gtk+2-devel
Requires:       librsvg-devel
Requires:       gnomeui2-devel
Requires:       gtkspell-devel
Requires:       libglade2-devel
Requires:       libgtksourceview-1.0-devel
Requires:       libgtksourceview-2.0-devel
Requires:       gtkglarea2-devel
Requires:       mesaglu-devel

%description
OCaml interface to the GIMP Tool Kit Version 2.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%package doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains the ocamldoc generated documentation for %{name},
and some examples.


%prep
%setup -q -n lablgtk-%{version}
lzcat %{SOURCE1} | tar xf -
mv lablgtk-2.16.0-doc-html/ doc/

%build
%configure2_5x --without-panel
make CC="gcc %ldflags"
make opt CC="gcc %ldflags"

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLPATH=%{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_DESTDIR="$OCAMLPATH"
install -d -m 755 $OCAMLPATH/stublibs
make install

%files
%doc COPYING CHANGES README CHANGES.API LGPL
%{_bindir}/*
%dir %{_libdir}/ocaml/lablgtk2
%{_libdir}/ocaml/lablgtk2/META
%{_libdir}/ocaml/lablgtk2/*.cmi
%{_libdir}/ocaml/lablgtk2/*.cma
%{_libdir}/ocaml/lablgtk2/*.cmo
%{_libdir}/ocaml/lablgtk2/*.o
%{_libdir}/ocaml/stublibs/*

%files devel
%{_libdir}/ocaml/lablgtk2/*
%exclude %{_libdir}/ocaml/lablgtk2/META
%exclude %{_libdir}/ocaml/lablgtk2/*.cmi
%exclude %{_libdir}/ocaml/lablgtk2/*.cma
%exclude %{_libdir}/ocaml/lablgtk2/*.cmo
%exclude %{_libdir}/ocaml/lablgtk2/*.o

%files doc
%doc examples/
%doc doc/
%doc applications/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.16.0-7.mga3
+ Revision: 361423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 2.16.0-6.mga3
+ Revision: 308020
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.16.0-5.mga3
+ Revision: 302034
- build requires ocaml-compiler-libs
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 2.16.0-4.mga3
+ Revision: 300406
- new rpm group for ocaml

* Sun Aug 26 2012 blue_prawn <blue_prawn> 2.16.0-3.mga3
+ Revision: 284370
- corrected group for documentation

* Sun Aug 26 2012 blue_prawn <blue_prawn> 2.16.0-2.mga3
+ Revision: 284190
- build requires findlib
- switched from the old make old-install target to the new make install that uses ocamlfind install

* Sat Aug 25 2012 blue_prawn <blue_prawn> 2.16.0-1.mga3
+ Revision: 283996
- removed old fixes for the META files
- updated to last version 2.16.0

* Sat Feb 18 2012 malo <malo> 2.14.2-5.mga2
+ Revision: 210152
- Missing requires.
- missing explicit BuildRequires.

* Sun Oct 02 2011 fwang <fwang> 2.14.2-4.mga2
+ Revision: 150919
- rebuild

* Sun Sep 18 2011 fwang <fwang> 2.14.2-3.mga2
+ Revision: 144942
- rebuild
- tweak br

* Sat Jul 02 2011 fwang <fwang> 2.14.2-2.mga2
+ Revision: 117453
- build without gnome-panel

* Tue Feb 22 2011 mikala <mikala> 2.14.2-1.mga1
+ Revision: 56480
- Remove BuildRoot
- imported package ocaml-lablgtk2

